<!DOCTYPE HTML>

<html>

<head>
  <title>XT-CMS Install Utility</title>
  <style>
  body {
    font-family: Arial, Helvetica, sans-serif;
    color: #333;
    background-color: #5e5e5e;
  }
  fieldset {
    border: 1px solid #9F9F9F;
    background: none;
    margin-bottom: 12px;
    }
  legend {
    font-size: 20px;
    font-weight: bold;
    margin: 10px;
    padding: 0 10px 0 10px;
  }
  h3 {
    font-size: 18px;
  }
  h3 span {
    font-size: 16px;
    font-weight: normal;
  }
  iframe {
    border: #333 solid 1px;
  }
  hr {
    border: none;
    border-top: #9F9F9F solid 1px;
  }
  </style>
</head>

<body>
<div style="max-width: 960px; margin: 20px auto; background-color: #f9f9f9; border-radius: 15px; padding: 25px">
<h1>XT-CMS Install Utility</h1>
<p>This utility checks if you can install and run XT-CMS on your host/server. For further assistance please visit our <a href="https://www.xt-cms.com/support/" target="_blank">support page</a></p>
<fieldset><legend>PHP Check</legend>
<p>PHP must be enabled on the server to run the CMS . If PHP is enabled you will see the version number below, if you see code instead of a version number then PHP not enabled. PHP 5.3 or higher is required.</p>
<p><b>PHP Version:</b> <?php echo phpversion()." (<a href=\"phpinfo.php\" target=\"_blank\">phpinfo</a>)"; ?></p></fieldset>
<fieldset><legend>Ioncube Check</legend>
<p>If a compatible ioncube loader is found on the server you will see a PASSED message in one or more of the boxes below. As long as you see PASSED in at least one of the boxes you will be able to install and run the CMS. If all three boxes are blank or contain errors then you will need to install the latest ioncube loader on your server. The latest ioncube loaders can be downloaded for free at <a href="https://www.ioncube.com/loaders.php" target="_blank">https://www.ioncube.com/loaders.php</a></p>
<h3>Test 1 <span style="font-weight: normal">(ioncube latest version for PHP 8.1 &amp; higher)</span></h3>
<div><iframe src="test_ic12_php8_1.php" width="250" height="60"></iframe></div>
<hr>
<h3>Test 2 <span style="font-weight: normal">(ioncube legacy version for PHP 7.4)</span></h3>
<div><iframe src="test_ic11_php7_2.php" width="250" height="60"></iframe></div>
<hr>
<h3>Test 3 <span style="font-weight: normal">(ioncube older version for PHP 5.6)</span></h3>
<div><iframe src="test_ic10_php5_6.php" width="250" height="60"></iframe></div>
</fieldset>
</div>
</body>

</html>